## ros-galactic-unique-identifier-msgs 2.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(unique_identifier_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  # we dont use add_compile_options with pedantic in message packages
  # because the Python C extensions dont comply with it
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)

set(msg_files
  "msg/UUID.msg"
)

rosidl_generate_interfaces(${PROJECT_NAME} ${msg_files})

ament_export_dependencies(rosidl_default_runtime)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

install(
  FILES mapping_rules.yaml
  DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-galactic-unique-identifier-msgs (2.2.1-2focal) focal; urgency=high

  * Change index.ros.org -> docs.ros.org (#21 <https://github.com/ros2/unique_identifier_msgs/issues/21>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-unique-identifier-msgs (2.2.0-2focal) focal; urgency=high

  * Update QD to QL 1 (#17 <https://github.com/ros2/unique_identifier_msgs/issues/17>)
  * Update Quality Declaration to QL2. (#15 <https://github.com/ros2/unique_identifier_msgs/issues/15>)
  * Update Quality level to level 3 (#13 <https://github.com/ros2/unique_identifier_msgs/issues/13>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#11 <https://github.com/ros2/unique_identifier_msgs/issues/11>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Stephen Brawner, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-unique-identifier-msgs (2.1.2-2focal) focal; urgency=high

  * Change Contributing.md to match linter template (#10 <https://github.com/ros2/unique_identifier_msgs/issues/10>)
  * Add README and QUALITY_DECLARATION (#8 <https://github.com/ros2/unique_identifier_msgs/issues/8>)
  * Contributors: Jorge Perez, brawner

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-unique-identifier-msgs (2.1.1-2focal) focal; urgency=high

  * Enable linter tests on unique_identifier_msgs (#5 <https://github.com/ros2/unique_identifier_msgs/issues/5>)
  * Contributors: Jorge Perez

 -- Jacob Perron <jacob@openrobotics.org>  Sat, 25 Apr 2020 07:00:00 -0000

ros-galactic-unique-identifier-msgs (2.1.0-2focal) focal; urgency=high

  * Added mapping rule for ros1_bridge (#3 <https://github.com/ros2/unique_identifier_msgs/issues/3>)
  * Contributors: Paul Bovbel

 -- Jacob Perron <jacob@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-unique-identifier-msgs (2.0.0-2focal) focal; urgency=high

  * Migrating from its old (language mixed) repositoryOld Repo: https://github.com/ros-geographic-info/unique_identifierName Change: uuid_msgs -> unique_identifier_msgsThe name change is to line it up with the names of the langauge specific wrappers that will exist around this message artifact.
    As this exactly describes the semantic meaning of the message (a UUID is defined as exactly a 128 bit unique identifier).
  * Dropped std_msgs dependency
  * Update maintainer

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 21 Nov 2018 08:00:00 -0000

ros-galactic-unique-identifier-msgs (1.1.0-2focal) focal; urgency=high

  * Renamed (match c++/python package names): uuid_msgs -> unique_identifier_msgs
  * Renamed (exact semantic): UniqueID.msg -> UUID.msg

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 01 Nov 2018 07:00:00 -0000

ros-galactic-unique-identifier-msgs (1.0.4-2focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 30 Apr 2014 07:00:00 -0000

ros-galactic-unique-identifier-msgs (1.0.1-2focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 25 Mar 2013 07:00:00 -0000

ros-galactic-unique-identifier-msgs (1.0.0-2focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Mon, 18 Mar 2013 07:00:00 -0000

ros-galactic-unique-identifier-msgs (0.9.0-2focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 03 Jan 2013 08:00:00 -0000

ros-galactic-unique-identifier-msgs (0.8.0-2focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Thu, 19 Jul 2012 07:00:00 -0000

=== debian/control ===
Source: ros-galactic-unique-identifier-msgs
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto, ros-galactic-ament-lint-common, ros-galactic-rosidl-default-generators, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://ros.org/wiki/unique_identifier_msgs
Standards-Version: 3.9.2

Package: ros-galactic-unique-identifier-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rosidl-default-runtime, ros-galactic-ros-workspace
Description: ROS messages for universally unique identifiers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-unique-identifier-msgs//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
